<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Sat Jul 31 15:01:23 EDT 2021 -->
<title>Commande</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-07-31">
<meta name="description" content="declaration: package: commandes, class: Commande">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":10,"i1":6,"i2":6,"i3":9,"i4":10,"i5":10,"i6":10,"i7":9,"i8":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-all.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">commandes</a></div>
<h1 title="Class Commande" class="title">Class Commande</h1>
</div>
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">commandes.Commande</div>
</div>
<section class="description">
<dl class="notes">
<dt>All Implemented Interfaces:</dt>
<dd><code>java.lang.Cloneable</code></dd>
</dl>
<dl class="notes">
<dt>Direct Known Subclasses:</dt>
<dd><code><a href="Defaire.html" title="class in commandes">Defaire</a></code>, <code><a href="Glisser.html" title="class in commandes">Glisser</a></code>, <code><a href="Refaire.html" title="class in commandes">Refaire</a></code>, <code><a href="Zoomer.html" title="class in commandes">Zoomer</a></code></dd>
</dl>
<hr>
<pre>public abstract class <span class="type-name-label">Commande</span>
extends java.lang.Object
implements java.lang.Cloneable</pre>
<div class="block">Classe abstraite permettant d'operer des modifications sur une image
 modifiable</div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field.summary">
<h2>Field Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Fields</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Field</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>static java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#ACTION_DEFAIRE">ACTION_DEFAIRE</a></span></code></th>
<td class="col-last">
<div class="block">nom utilisable par un ActionEvent et sa propriete ActionCommand pour
 declencher une commande Defaire</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>static java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#ACTION_REFAIRE">ACTION_REFAIRE</a></span></code></th>
<td class="col-last">
<div class="block">nom utilisable par un ActionEvent et sa propriete ActionCommand pour
 declencher une commande Refaire</div>
</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>protected java.util.function.Function&lt;java.awt.AWTEvent,&#8203;java.lang.Boolean&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#declencheur">declencheur</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>protected <a href="../modeles/ImageModifiable.html" title="class in modeles">ImageModifiable</a></code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#imageModifiable">imageModifiable</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>protected java.util.function.BiConsumer&lt;java.awt.AWTEvent,&#8203;<a href="Commande.html" title="class in commandes">Commande</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#interpreteur">interpreteur</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Constructors</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier</th>
<th class="col-second" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>protected </code></td>
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E()">Commande</a></span>()</code></th>
<td class="col-last">
<div class="block">cree une nouvelle commande</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="table-tab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="table-tab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t3" class="table-tab" onclick="show(4);">Abstract Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code>java.lang.Object</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#clone()">clone</a></span>()</code></th>
<td class="col-last">
<div class="block">clone la commande</div>
</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code>abstract boolean</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#equals(java.lang.Object)">equals</a></span>&#8203;(java.lang.Object&nbsp;obj)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><code>abstract int</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#executer(java.util.List,int)">executer</a></span>&#8203;(java.util.List&lt;<a href="Commande.html" title="class in commandes">Commande</a>&gt;&nbsp;historique,
int&nbsp;teteQueue)</code></th>
<td class="col-last">
<div class="block">execute la commande et retourne si l'execution a modifie la pile</div>
</td>
</tr>
<tr class="row-color" id="i3">
<td class="col-first"><code>static <a href="Commande.html" title="class in commandes">Commande</a></code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getDessusListe(java.util.List)">getDessusListe</a></span>&#8203;(java.util.List&lt;<a href="Commande.html" title="class in commandes">Commande</a>&gt;&nbsp;liste)</code></th>
<td class="col-last">
<div class="block">mÃ©thode retournant l'element en tete de liste s'il existe retourne</div>
</td>
</tr>
<tr class="alt-color" id="i4">
<td class="col-first"><code><a href="../modeles/ImageModifiable.html" title="class in modeles">ImageModifiable</a></code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getImageModifiable()">getImageModifiable</a></span>()</code></th>
<td class="col-last">
<div class="block">recupere l'image modifiable affectee</div>
</td>
</tr>
<tr class="row-color" id="i5">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#interpreterEvent(java.awt.AWTEvent)">interpreterEvent</a></span>&#8203;(java.awt.AWTEvent&nbsp;e)</code></th>
<td class="col-last">
<div class="block">utilise l'event pour parametrer la commande</div>
</td>
</tr>
<tr class="alt-color" id="i6">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setImageModifiable(modeles.ImageModifiable)">setImageModifiable</a></span>&#8203;(<a href="../modeles/ImageModifiable.html" title="class in modeles">ImageModifiable</a>&nbsp;imageModifiable)</code></th>
<td class="col-last">
<div class="block">change l'image modifiable modifiable qui sera affectee par l'execution de la
 commande</div>
</td>
</tr>
<tr class="row-color" id="i7">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#tronquerDebutListe(java.util.List,int)">tronquerDebutListe</a></span>&#8203;(java.util.List&lt;<a href="Commande.html" title="class in commandes">Commande</a>&gt;&nbsp;liste,
int&nbsp;nbTroncatures)</code></th>
<td class="col-last">
<div class="block">methode facilitant le retrait d'un certain nombre d'entrees a la tete de la
 liste de commandes.</div>
</td>
</tr>
<tr class="alt-color" id="i8">
<td class="col-first"><code>boolean</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#verifierEventValide(java.awt.AWTEvent)">verifierEventValide</a></span>&#8203;(java.awt.AWTEvent&nbsp;e)</code></th>
<td class="col-last">
<div class="block">methode verifiant si l'event satisfait les conditions de declanchement de la
 commande</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.Object</h3>
<code>finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ============ FIELD DETAIL =========== -->
<li>
<section class="field-details" id="field.detail">
<h2>Field Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="ACTION_DEFAIRE">
<h3>ACTION_DEFAIRE</h3>
<div class="member-signature"><span class="modifiers">public static final</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">ACTION_DEFAIRE</span></div>
<div class="block">nom utilisable par un ActionEvent et sa propriete ActionCommand pour
 declencher une commande Defaire</div>
<dl class="notes">
<dt>See Also:</dt>
<dd><a href="../constant-values.html#commandes.Commande.ACTION_DEFAIRE">Constant Field Values</a></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="ACTION_REFAIRE">
<h3>ACTION_REFAIRE</h3>
<div class="member-signature"><span class="modifiers">public static final</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">ACTION_REFAIRE</span></div>
<div class="block">nom utilisable par un ActionEvent et sa propriete ActionCommand pour
 declencher une commande Refaire</div>
<dl class="notes">
<dt>See Also:</dt>
<dd><a href="../constant-values.html#commandes.Commande.ACTION_REFAIRE">Constant Field Values</a></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="imageModifiable">
<h3>imageModifiable</h3>
<div class="member-signature"><span class="modifiers">protected</span>&nbsp;<span class="return-type"><a href="../modeles/ImageModifiable.html" title="class in modeles">ImageModifiable</a></span>&nbsp;<span class="member-name">imageModifiable</span></div>
</section>
</li>
<li>
<section class="detail" id="declencheur">
<h3>declencheur</h3>
<div class="member-signature"><span class="modifiers">protected</span>&nbsp;<span class="return-type">java.util.function.Function&lt;java.awt.AWTEvent,&#8203;java.lang.Boolean&gt;</span>&nbsp;<span class="member-name">declencheur</span></div>
</section>
</li>
<li>
<section class="detail" id="interpreteur">
<h3>interpreteur</h3>
<div class="member-signature"><span class="modifiers">protected</span>&nbsp;<span class="return-type">java.util.function.BiConsumer&lt;java.awt.AWTEvent,&#8203;<a href="Commande.html" title="class in commandes">Commande</a>&gt;</span>&nbsp;<span class="member-name">interpreteur</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;()">
<h3>Commande</h3>
<div class="member-signature"><span class="modifiers">protected</span>&nbsp;<span class="member-name">Commande</span>()</div>
<div class="block">cree une nouvelle commande</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="setImageModifiable(modeles.ImageModifiable)">
<h3>setImageModifiable</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setImageModifiable</span>&#8203;(<span class="parameters"><a href="../modeles/ImageModifiable.html" title="class in modeles">ImageModifiable</a>&nbsp;imageModifiable)</span></div>
<div class="block">change l'image modifiable modifiable qui sera affectee par l'execution de la
 commande</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>imageModifiable</code> - l'image qu'affectera la commande</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getImageModifiable()">
<h3>getImageModifiable</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="../modeles/ImageModifiable.html" title="class in modeles">ImageModifiable</a></span>&nbsp;<span class="member-name">getImageModifiable</span>()</div>
<div class="block">recupere l'image modifiable affectee</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>l'image modifiable</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="verifierEventValide(java.awt.AWTEvent)">
<h3>verifierEventValide</h3>
<div class="member-signature"><span class="modifiers">public final</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="member-name">verifierEventValide</span>&#8203;(<span class="parameters">java.awt.AWTEvent&nbsp;e)</span></div>
<div class="block">methode verifiant si l'event satisfait les conditions de declanchement de la
 commande</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>e</code> - l'evenement a tester</dd>
<dt>Returns:</dt>
<dd>true si l'evenement est capable de declencher cette commmande, faux
         autrement</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="interpreterEvent(java.awt.AWTEvent)">
<h3>interpreterEvent</h3>
<div class="member-signature"><span class="modifiers">public final</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">interpreterEvent</span>&#8203;(<span class="parameters">java.awt.AWTEvent&nbsp;e)</span></div>
<div class="block">utilise l'event pour parametrer la commande</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>e</code> - </dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="clone()">
<h3>clone</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.Object</span>&nbsp;<span class="member-name">clone</span>()</div>
<div class="block">clone la commande</div>
<dl class="notes">
<dt>Overrides:</dt>
<dd><code>clone</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="executer(java.util.List,int)">
<h3>executer</h3>
<div class="member-signature"><span class="modifiers">public abstract</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="member-name">executer</span>&#8203;(<span class="parameters">java.util.List&lt;<a href="Commande.html" title="class in commandes">Commande</a>&gt;&nbsp;historique,
int&nbsp;teteQueue)</span></div>
<div class="block">execute la commande et retourne si l'execution a modifie la pile</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>historique</code> - liste des commandes, la plus recente etant en tete de liste</dd>
<dd><code>teteQueue</code> - index de la derniere commande dont le resultat est
                   actuellement affiche</dd>
<dt>Returns:</dt>
<dd>1 si la commande fait avancer la tete de l'historique, -1 si la
         commande fait reculer la tete de pile, 0 autrement</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="tronquerDebutListe(java.util.List,int)">
<h3>tronquerDebutListe</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">tronquerDebutListe</span>&#8203;(<span class="parameters">java.util.List&lt;<a href="Commande.html" title="class in commandes">Commande</a>&gt;&nbsp;liste,
int&nbsp;nbTroncatures)</span></div>
<div class="block">methode facilitant le retrait d'un certain nombre d'entrees a la tete de la
 liste de commandes. Les commandes sont retirees uniquement si le nombre de
 troncatures est inferieur ou egal a la taille de la liste</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>liste</code> - liste dont on doit tronquer des conmmandes</dd>
<dd><code>nbTroncatures</code> - nombre d'elements que l'on souhaite retirer</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getDessusListe(java.util.List)">
<h3>getDessusListe</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="Commande.html" title="class in commandes">Commande</a></span>&nbsp;<span class="member-name">getDessusListe</span>&#8203;(<span class="parameters">java.util.List&lt;<a href="Commande.html" title="class in commandes">Commande</a>&gt;&nbsp;liste)</span></div>
<div class="block">mÃ©thode retournant l'element en tete de liste s'il existe retourne</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>liste</code> - liste dont on souhaite obtenir l'element 0</dd>
<dt>Returns:</dt>
<dd>l'element 0 s'il existe, null autrement</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="equals(java.lang.Object)">
<h3>equals</h3>
<div class="member-signature"><span class="modifiers">public abstract</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="member-name">equals</span>&#8203;(<span class="parameters">java.lang.Object&nbsp;obj)</span></div>
<dl class="notes">
<dt>Overrides:</dt>
<dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-all.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
